[Overview][Classes][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTree.Add

Add a new node to the tree

## Declaration

Source position: line 0

`public procedure TAVLTree.Add(`
`ANode: TAVLTreeNode`
`); function TAVLTree.Add(`
`Data: Pointer`
`):TAVLTreeNode;`

## Arguments

`ANode` |  | Node to add to the tree

## Arguments

`Data` |  | Data item to add to the tree

## Function result

Resulting node in case a data pointer is added.

## Description

Add adds a new Data or Node to the tree. It inserts the node so that the tree is maximally balanced by rebalancing the tree after the insert. In case a data pointer is added to the tree, then the node that was created is returned.

## See also

TAVLTree.Delete |  | Delete a node from the tree
TAVLTree.Remove |  | Remove a data item from the list.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .